import { isAuthenticated } from "./../../../../middlewares/index";
import * as express from "express";
import { ArticlesHandler } from "./articles.handler";
const router = express.Router();

router.route("/")
    .get(isAuthenticated, ArticlesHandler.list)
    .post(isAuthenticated, ArticlesHandler.create);

router.route("/:id")
    .delete(isAuthenticated, ArticlesHandler.delete)
    .put(isAuthenticated, ArticlesHandler.update);

export default router;

